%global momorel 1

%global src_name autoconf-archive
%global ver_year 2016
%global ver_month 09
%global ver_day 16
%global src_date %{ver_year}.%{ver_month}.%{ver_day}
%global ver %{ver_year}%{ver_month}%{ver_day}

Summary: M4 macros for autoconf.
Name: autoconf-archive
Version: 0.0.%{ver}
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
Source0: http://ftp.gnu.org/pub/gnu/autoconf-archive/%{src_name}-%{src_date}.tar.xz
NoSource: 0
URL: http://autoconf-archive.cryp.to/
Requires: autoconf automake
Requires: info
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
The Autoconf Macro Archive aims to provide a collection of reusable
Autoconf macros as free software. The archive currently features more
than 300 macros which perform portability tests ranging from compiler
support for weird language extensions to automatic generation of
sophisticated Automake rules. However, all these macros have been
contributed by friendly supporters of the cause from all over the
Internet; the archive really just collects and distributes them.

This package is installed at %{_datadir}/aclocal/autoconf-archive If
you want to use them by default, please write
"dirlist" in %{_datadir}/aclocal
or
"ACLOCAL_AMFLAGS = -I %{_datadir}/aclocal/autoconf-archive" in your
"Makefile.am"

%prep

%setup -q -n %{src_name}-%{src_date}
autoreconf

%build

%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL="install -p"
# remove dir file which will be generated by /sbin/install-info
rm -f %{buildroot}%{_infodir}/dir
# document files are installed another location
rm -rf %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info.bz2 %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.bz2 %{_infodir}/dir || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.EXCEPTION ChangeLog NEWS INSTALL README
%{_datadir}/aclocal/*.m4
%{_infodir}/autoconf-archive.info*

%changelog
* Fri Dec 16 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.20160916-1m)
- update 20160916

* Wed Sep 30 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.20150925-1m)
- update 20150925

* Tue Apr 08 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.20140228-1m)
- update 20140228

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.20050906-8m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.20050906-7m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.20050906-6m)
- full rebuild for mo7 release

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.20050906-5m)
- use Requires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.20050906-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.20050906-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.20050906-2m)
- rebuild against gcc43

* Sun Sep 11 2005 Nishio Futoshi <fut_nis@d3.dion.ne.jp>
- (0.0.20050906-1m)
- version up

* Tue May  3 2005 Nishio Futoshi <fut_nis@d3.dion.ne.jp>
- (0.0.20050502-1m)
- autoconf-archive-2005-05-02
- create
